# std::mem_fun1_t< _Ret, _Tp, _Arg > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::mem_fun1_t< _Ret, _Tp, _Arg >:

[legend]
Collaboration diagram for std::mem_fun1_t< _Ret, _Tp, _Arg >:

[legend]
List of all members.

## Public Types

typedef _Tp * | first_argument_type
| the type of the first argument (no surprises here)
typedef _Arg | second_argument_type
| the type of the second argument
typedef _Ret | result_type
| type of the return type

## Detailed Description

### template<class _Ret, class _Tp, class _Arg>
class std::mem_fun1_t< _Ret, _Tp, _Arg >

One of the adaptors for member pointers.

Definition at line 569 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp * std::binary_function< _Tp *, _Arg, _Ret >::first_argument_type`[inherited]`

| the type of the first argument (no surprises here) Definition at line 112 of file stl_function.h.

typedef _Ret std::binary_function< _Tp *, _Arg, _Ret >::result_type`[inherited]`

| type of the return type Definition at line 114 of file stl_function.h.

typedef _Arg std::binary_function< _Tp *, _Arg, _Ret >::second_argument_type`[inherited]`

| the type of the second argument Definition at line 113 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h